/*
 * @Descripttion: 
 * @version: 
 * @Author: Lone
 * @Date: 2021-10-28 22:48:56
 * @LastEditors: Lone
 * @LastEditTime: 2021-12-11 23:47:53
 */
import Axios from '../utils/axios-util'
// console.log('mail-api打印', Axios);
//info: mail文档地址： 
let mailBase = 'api/midway/';
export default {
	getAccountList: params => { //获取当前用户的邮箱账号列表
		return Axios.POST(mailBase + 'mail/getAccountList', params);
	},
	getFolderList: params => { //根据邮箱账号获取文件夹列表
		return Axios.POST(mailBase + 'mail/getFolderList', params);
	},
	getMessageList: params => { //查看邮件列表
		return Axios.POST(mailBase + 'mail/getMessageList', params)
	},
	getMessageDetail: params => { //查看邮件详情
		return Axios.POST(mailBase + 'mail/getMessageDetail', params);
	},
	//胜东最新的接口
	send: params => { //发送邮件
		// console.log("params",params)
		return Axios.POST(mailBase + 'mail/send', params);
	},
	sync: params => {
		return Axios.POST(mailBase + 'mail/sync', params);
	},
	validMailInfo: params => {
		return Axios.POST(mailBase + 'mail/validMailInfo', params);
	},
	saveMailInfo: params => {
		return Axios.POST(mailBase + 'mail/saveMailInfo', params);
	},
	updateMailStatus: params => {
		return Axios.POST(mailBase + 'mail/updateMailStatus', params);
	},
	updateMessageStatus: params => {
		return Axios.POST(mailBase + 'mail/updateMessageStatus', params);
	}
}
