/*
 * @Descripttion: 
 * @version: 
 * @Author: Cynthiar
 * @Date: 2021-11-17 11:56:56
 * @LastEditors: Lone
 * @LastEditTime: 2021-12-12 00:22:41
 */
// import Axios from '../utils/axios-util-tag';
import Axios from '../utils/axios-util'

// console.log('mail-api打印', Axios);
//info: mail文档地址： 
let tagBase = 'api/property/';
export default {
	queryListByBizTypeCode: params => { ////bizTag/queryListByBizTypeCode 查询基础配置业务类型
		//console.log("queryListByBizTypeCode Params",params)
		let updateParams = {
			"caller": "crm-web",
			"param": {
				"bizTypeCode": params.bizTypeCode || '',
				"relationBizId": []
			},
			"requestId": "uuid",
			"traceId": "uuid"
		}
		//console.log("editCustomerActivity updateParams", updateParams)
		return Axios.POST(tagBase + 'bizTag/queryListByBizTypeCode', updateParams);
	},
	queryList: params => {
		let updateParams = {
			"caller": "crm-web",
			"param": {},
			"requestId": "uuid",
			"traceId": "uuid"
		}
		return Axios.POST(tagBase + 'bizType/queryList', updateParams);
	},
	addBizTag: params => { //新增標籤
		//console.log("addBizTag params",params);
		let updateParams = {
			"caller": "crm-web",
			"param": params,
			"requestId": "uuid",
			"traceId": "uuid"
		};
		//console.log("updateParams",updateParams);
		return Axios.POST(tagBase + 'bizTag/addBizTag', updateParams);
	},
	deleteBizTagByIds: params => { //刪除標籤
		//console.log("addBizTag params",params);
		let updateParams = {
			"caller": "crm-web",
			"param": params, //[16,17,18]
			"requestId": "uuid",
			"traceId": "uuid"
		};
		//console.log("updateParams",updateParams);
		return Axios.POST(tagBase + 'bizTag/deleteBizTagByIds', updateParams);
	},
	updateBizTag: params => { //修改標籤
		//console.log("addBizTag params",params);
		let updateParams = {
			"caller": "crm-web",
			"param": params,
			"requestId": "uuid",
			"traceId": "uuid"
		};
		/*
		 {
		  "id":24,
		  "bizTypeCode": "customer",
		  "color": "#rrffee",
		  "icon": "customer",
		  "name": "公務員",
		  "remark": "公務員"
		  }
		*/
		//console.log("updateParams",updateParams);
		return Axios.POST(tagBase + 'bizTag/updateBizTag', updateParams);
	},
}
