/*
 * @Author: your name
 * @Date: 2021-09-28 21:56:38
 * @LastEditTime: 2021-12-14 23:31:40
 * @LastEditors: Lone
 * @Description: In User Settings Edit
 * @FilePath: \crm\src\stores\tags\index.js
 */
import Api from '@/services/api';

//todo: 将改文件修改为 联系人，以及引用改文件的各部分统一修改。 
const state = {
	tagsArray: [{
			title: '全部客户',
			tagName: ['Trace', 'Bob', 'Linda'],
			color: 'geekblue',
			key: 'k1',
			count: 0,
		},
		{
			title: '非常有意向',
			tagName: ['Bob'],
			color: 'volcano',
			key: 'k2',
			count: 0,
		},
		{
			title: '暂无意向',
			tagName: [''],
			color: 'green',
			key: 'k3',
			count: 0,
		},
		{
			title: '顾客',
			tagName: ['Trace', 'Bob'],
			color: 'purple',
			key: 'k4',
			count: 0,
		},
		{
			title: '其他',
			tagName: [],
			color: '',
			key: 'k5',
			count: 0,
		},
		{
			title: '地區',
			tagName: [],
			color: 'blue',
			key: 'k6',
			count: 1,
			children: [{
					title: '台北',
					key: 'k6-1',
					color: 'whilebule',
					tagName: [],
					// children: [
					//   { title: 'leaf', key: '0-0-0-0' },
					//   { title: 'leaf', key: '0-0-0-1' },
					// ],
				},
				{
					title: '台中',
					key: 'k6-2',
					color: 'whilegreen',
					tagName: [],
					// children: [{ key: '0-0-1-0', slots: { title: 'title0010' } }],
				},
			],
		}
	],
	companyData: [],
	// companyData: [
	//   {
	//     key: 0,
	//     name: "XX公司",
	//     tags: ['暂无意向','顾客'],
	//     address: "",
	//     customerData: {
	//       key: 0,
	//       name: "Trace",
	//       tags: ['暂无意向','顾客'],
	//       organization: "組織",
	//       email: "email@gmail.com",
	//       tel: "098877655",
	//       activity_cancel: "取消",
	//       activity_start: "開始",
	//       activity_next: "2021-01-01",
	//       autherData:{
	//         auther: "mido",
	//         image: require('@/assets/crmImages/userImg.jpeg'),
	//       },
	//       activity_event: "週年慶",
	//       image: require('@/assets/crmImages/userImg.jpeg'),    
	//     },
	//     businessData: {
	//       start_date:"2021-11-15 15:00",
	//       end_date:"2022-11-15 15:00"
	//     },
	//     activityData: {
	//       next_date:"2022-11-16 15:00",
	//       activity_event:"",
	//       image: require('@/assets/crmImages/userImg.jpeg'),
	//     },
	//     autherData:{
	//       auther: "mido",
	//       image: require('@/assets/crmImages/userImg.jpeg'),
	//     }
	//   },
	//   {
	//     key: 1,
	//     name: "BB公司",
	//     tags: ['其他','顾客'],
	//     address: "",
	//     customerData: {
	//       key: 1,
	//       name: "Bob",
	//       tags: ['非常有意向','顾客'],
	//       organization: "組織",
	//       email: "email@gmail.com",
	//       tel: "098877655",
	//       activity_cancel: "取消",
	//       activity_start: "開始",
	//       activity_next: "2021-01-01",
	//       autherData:{
	//         auther: "mido",
	//         image: require('@/assets/crmImages/userImg.jpeg'),
	//       },
	//       activity_event: "週年慶",
	//       image: require('@/assets/crmImages/userImg.jpeg'),
	//     },
	//     businessData: {
	//       start_date:"2021-11-15 15:00",
	//       end_date:"2022-11-15 15:00"
	//     },
	//     activityData: {
	//       next_date:"2022-11-16 15:00",
	//       activity_event:"",
	//       image: require('@/assets/crmImages/userImg.jpeg'),
	//     },
	//     autherData:{
	//       auther: "mido",
	//       image: require('@/assets/crmImages/userImg.jpeg'),
	//     }
	//   },
	//   {
	//     key: 2,
	//     name: "CC公司",
	//     tags: ['台北','台中'],
	//     address: "",
	//     customerData: {
	//       key: 2,
	//       name: "Linda",
	//       tags: [],
	//       organization: "組織",
	//       email: "email@gmail.com",
	//       tel: "098877655",
	//       activity_cancel: "取消",
	//       activity_start: "開始",
	//       activity_next: "2021-01-01",
	//       autherData:{
	//         auther: "mido",
	//         image: require('@/assets/crmImages/userImg.jpeg'),
	//       },
	//       activity_event: "週年慶",
	//       image: require('@/assets/crmImages/userImg.jpeg'),    
	//     },
	//     businessData: {
	//       start_date:"2021-11-15 15:00",
	//       end_date:"2022-11-15 15:00"
	//     },
	//     activityData: {
	//       next_date:"2022-11-16 15:00",
	//       activity_event:"",
	//       image: require('@/assets/crmImages/userImg.jpeg'),
	//     },
	//     autherData:{
	//       auther: "mido",
	//       image: require('@/assets/crmImages/userImg.jpeg'),
	//     }
	//   }
	// ],
	customerData: [],
	// customerData: [{
	//   key: 0,
	//   name: "Trace",
	//   companyId:"組織",
	//   phone:"098877655",
	//   email: "email@gmail.com",
	//   tags: ['暂无意向','顾客'],
	//   activity_cancel: "取消",
	//   activity_start: "開始",
	//   activity_next: "2021-01-01",
	//   autherData:{
	//     ownerUser: "mido",
	//     image: require('@/assets/crmImages/userImg.jpeg'),
	//   },
	//   activity_event: "週年慶",
	//   image: require('@/assets/crmImages/userImg.jpeg'),
	// },{
	//   key: 1,
	//   name: "Bob",
	//   companyId:"組織",
	//   phone:"098877655",
	//   email: "email@gmail.com",
	//   tags: ['非常有意向','顾客'],
	//   activity_cancel: "取消",
	//   activity_start: "開始",
	//   activity_next: "2021-01-01",
	//   autherData:{
	//     ownerUser: "mido",
	//     image: require('@/assets/crmImages/userImg.jpeg'),
	//   },
	//   activity_event: "週年慶",
	//   image: require('@/assets/crmImages/userImg.jpeg'),
	// },{
	//   key: 2,
	//   name: "Linda",
	//   companyId:"組織",
	//   phone:"098877655",
	//   email: "email@gmail.com",
	//   tags: [],
	//   activity_cancel: "取消",
	//   activity_start: "開始",
	//   activity_next: "2021-01-01",
	//   autherData:{
	//     ownerUser: "mido",
	//     image: require('@/assets/crmImages/userImg.jpeg'),
	//   },
	//   activity_event: "週年慶",
	//   image: require('@/assets/crmImages/userImg.jpeg'),
	// }],
	latentCustData: [{
			key: 1,
			title: "apple交易",
			next_activity: "2021年10月31日",
			tag: "apple",
			resourse: "petter",
			customer_latent: "2021年10月31日",
			owner: "puppy"
		},
		{
			key: 2,
			title: "apple交易",
			next_activity: "2021年10月31日",
			tag: "apple",
			resourse: "petter",
			customer_latent: "2021年10月31日",
			owner: "puppy"
		},
		{
			key: 3,
			title: "apple交易",
			next_activity: "2021年10月31日",
			tag: "apple",
			resourse: "petter",
			customer_latent: "2021年10月31日",
			owner: "puppy"
		}
	],
	currentCustomer: {}, //目前客戶詳細頁
	//定義『詳細資料』頁簽名稱
	manageDetailType: [{
			type_id: 0,
			type_name: "全部",
			type_eng_name: "all",
			type_icon: "watch_later",
		},
		{
			type_id: 1,
			type_name: "笔记",
			type_eng_name: "note",
			type_icon: "event_note",
		},
		{
			type_id: 2,
			type_name: "活动",
			type_eng_name: "activity",
			type_icon: "local_cafe",
		},
		{
			type_id: 3,
			type_name: "交易",
			type_eng_name: "business",
			type_icon: "currency_yen",
		},
		{
			type_id: 4,
			type_name: "电子邮件",
			type_eng_name: "email",
			type_icon: "mail",
		},
		{
			type_id: 5,
			type_name: "档案(二期功能)",
			type_eng_name: "file",
			type_icon: "file_present",
		},
		{
			type_id: 6,
			type_name: "Line",
			type_eng_name: "line",
			type_icon: "message",
		},
		{
			type_id: 7,
			type_name: "更新日志",
			type_eng_name: "log",
			type_icon: "list",
		},
	],
	noteType: [{
			key: 0,
			type_title: "一般",
			noteType: "normal",
		},
		{
			key: 1,
			type_title: "信件",
			noteType: "letter",
		},
		{
			key: 2,
			type_title: "電話",
			noteType: "mobile",
		},
		{
			key: 3,
			type_title: "親坊",
			noteType: "visit",
		},
	],
	companySet: {},
	customerTagsData: [], //客戶標籤
	companyTagsData: [], //公司標籤
	tagsData: [], //公司 客戶 標籤
	getTotalPage: {
		totalCount: 0,
		pageSize: 0
	},


	customerTimeLineList: {}, //分页查询客户时间线信息
	customerTimelineCountList: [], //分页查询客户时间线信息-count
	customerPlanActivityList: [], //分页查询客户计划中的活动信息

};

const getters = {

};

const mutations = {
	USE_TAG(state, [key, tagsArray]) {
		//console.log('到USE_TAG', key, tagsArray);
		state.customerData.forEach(cust => {
			//console.log(cust.key, key);
			if (cust.key == key) {
				// console.log(cust.tags);
				cust.tags = tagsArray;
				// console.log(cust.tags);
			}
		})
	},
	ADD_TAG(state, data) {
		// console.log('到ADD_TAG', data);
		state.tagsArray.push(data)
	},
	ADD_SUB_TAG(state, data) {
		//console.log('ADD_SUB_TAG', data);      
		state.tagsArray.forEach(item => {
			if (item.key == data.parentKey) {
				if (item.children) {
					item.children.push(data)
				} else {
					item.children = []
					item.children.push(data)
				}
			} else {
				if (item.children) {
					item.children.forEach(item2 => {
						if (item2.key == data.parentKey) {
							if (item2.children) {
								item2.children.push(data)
							} else {
								item2.children = []
								item2.children.push(data)
							}
						}
					})
				}
			}
		})
		//console.log('state.tagsArray', state.tagsArray);
		//state.tagsArray.push(data)      
	},
	EDIT_TAG(state, [title, data]) {
		state.tagsArray.forEach(item => {
			if (item.title == title) {
				item.title = data;
			}
		})
	},
	DEL_TAG(state, title) {
		state.tagsArray = state.tagsArray.filter(item => {
			return item.title != title
		});
	},
	//查詢客戶或公司標籤
	GET_TAGS(state, data) {
		state.tagsData = data;
		//console.log('state.tagsData', state.tagsData);
	},
	//查詢客戶標籤
	GET_CUSTOMER_TAGS(state, data) {
		state.customerTagsData = data;
		//console.log('state.customerTagsData', state.customerTagsData);
	},
	//查詢公司標籤
	GET_COMPANY_TAGS(state, data) {
		state.companyTagsData = data;
		//console.log('state.companyTagsData', state.companyTagsData);
	},
	GET_TOTAL_PAGE_DATA(state, data) {
		//console.log('GET_TOTAL_PAGE_DATA.getTotalPage', data);

		state.getTotalPage = {
			pageSize: data.pageSize,
			totalCount: data.totalCount,
			totalPages: data.totalPages,
			currentPage: data.currentPage
		};
		//console.log('state.getTotalPage', state.getTotalPage);
	},
	//查詢客戶聯絡人
	GET_CUSTOMER_DATA(state, data) {
		// state.getTotalPage = {
		//   pageSize:data.pageSize,
		//   totalCount:data.totalCount,
		//   totalPages:data.totalPages
		// };
		// console.log('state.getTotalPage', state.getTotalPage);
		data.list.forEach(item => {
			state.companyData.list.forEach(item2 => {
				if (item.companyId == item2.companyId) {
					item.companyName = item2.name
				}
			})
		})
		state.customerData = data.list;
		//console.log('state.companyData', state.companyData);

		//console.log('state.customerData', state.customerData);
	},
	//新增客戶 
	ADD_CUSTOMER(state, data) {
		// console.log('到ADD_TAG', data);
		let tmpData = state.customerData
		//console.log("state.customerData length",tmpData.length + 1)
		data.key = tmpData.length
		state.customerData.push(data)

		// return new Promise((resolve,reject) => {
		//     Api.mail.getMessageList(params).then(res => {
		//         console.log('getMessageList请求回来的数据为：', res);
		//         if (res.code != 0) {
		//             resolve(false);
		//             message.error('请求邮件列表失败');
		//         } else {
		//             resolve(true);
		//             message.success('请求成功');
		//             commit('SET_MAIL_DATA', res.data.data);
		//             commit('SET_MAIL_COUNT', res.data.total);
		//         };
		//     })
		// });

	},
	//修改客戶
	EDIT_CUSTOMER(state, data) {
		state.customerData.forEach(item => {
			if (item.key == data.key) {
				item.name = data.name;
				item.companyId = data.companyId;
				item.phone = data.phone;
				item.email = data.email;
				item.ownerUser = data.ownerUser;
				item.tags = data.tags;
				item.activity_cancel = data.activity_cancel;
				item.activity_event = data.activity_event;
				item.activity_next = data.activity_next;
				item.activity_start = data.activity_start;
			}
		})
	},
	//刪除客戶
	DEL_CUSTOMER(state, key) {
		state.customerData = state.customerData.filter(item => {
			return item.key != key
		});
		//console.log("key--",key)
	},

	//新增公司 
	ADD_COMPANY(state, data) {
		//console.log('到ADD_TAG', data);
		let tmpData = [...state.companyData]
		//console.log("state.CompanyData",state.companyData)
		//console.log("state.CompanyData length",tmpData.length + 1)
		data.key = tmpData.length
		state.companyData.push(data)
	},
	//修改公司
	EDIT_COMPANY(state, data) {
		state.companyData.forEach(item => {
			if (item.key == data.key) {
				item.name = data.name
				item.address = data.address
			}
		})
	},
	//刪除公司
	DEL_COMPANY(state, key) {
		state.companyData = state.companyData.filter(item => {
			return item.key != key
		});
		//console.log("key--",key)
	},
	//取得公司資料
	GET_COMPANY_LIST(state, data) {
		//console.log("GET_COMPANY_LIST state",data)
		data.list.forEach(item => {
			item.key = item.id
			item.companyId = item.id
			item.businessData = {}
			item.customerData = {}
			item.tags = []
		})
		state.companyData = data
		//console.log("state.companyData",state.companyData)
	},
	//取得目前客戶詳細頁
	GET_CURRENT_CUSTOMER(state, data) {
		//console.log("state",state)
		//console.log("currentRowData",currentRowData)
		data.id = data.customerId
		data.key = data.customerId
		state.currentCustomer = data
	},
	//分页查询客户计划中的活动信息
	GET_CUSTOMER_PLAN_ACTIVITY_PAGE_LIST(state, data) {
		state.customerPlanActivityList = data
		//console.log("customerTimeLineList",data)
	},
	//分页查询客户时间线信息
	GET_CUSTOMER_TIME_LINE_LIST(state, data) {
		if (data.finishTimelineList.list) {
			data.finishTimelineList.list.forEach(item => {
				if (item.objectType == 'note') {
					state.noteType.forEach(item2 => {
						if (item2.noteType == item.data.noteType) {
							item.data.noteTypeName = item2.type_title
						}
					})
				}
			})
			state.customerTimeLineList = data.finishTimelineList
			state.customerTimelineCountList = data.timelineCountList
		}
		//console.log("customerTimeLineList",data)
		// return new Promise((resolve,reject) => { 
		//   console.log("reject",reject)
		//     Api.customer.queryCustomerTimelinePageList(currentRowData).then(res => {
		//         console.log('getCustomerList请求回来的数据为：', res);
		//         if (res.success == false) {  
		//           //alert('查询客户时间线信息失败')
		//             resolve(false);
		//             //this.$message.error('请求邮件列表失败');
		//         } else {
		//             //this.$message.success('请求成功');  
		//             //alert('查询客户时间线信息成功')
		//             console.log('res.data', res.data);

		//             state.customerTimeLineList = res.data.finishTimelineList
		//             state.customerTimelineCountList = res.data.timelineCountList

		//             console.log("customerTimeLineList",state.customerTimeLineList)
		//             console.log("customerTimelineCountList",state.customerTimelineCountList)
		//             resolve(true);  
		//         };
		//     })
		// });
	},
	SET_COMPANY(state, companySet) {
		state.companySet = companySet;
		//console.log("state.companySet",state.companySet)
	},

};

const actions = {
	/**
	 * @name: 為客戶貼標籤的actions
	 * @param {*} commit
	 * @param {*} custArray 選中的需要修改標籤的用戶數組
	 * @param {*} tagsArray 選中的標籤數組
	 * @return {*}
	 */
	useTags({
		commit
	}, [custArray, tagsArray]) {
		// console.log('到main/useTags來了', custArray, tagsArray);
		return new Promise((resolve, reject) => {
			custArray.forEach((key, index) => {
				commit('USE_TAG', [key, tagsArray]);
				if (index == custArray.length - 1) return resolve(true);
			});
		})
	},
	//新增標籤actions //TODO: 完善標籤的全部字段 
	addTags({
		commit
	}, data) {
		// console.log('到main/addTags',data);
		return new Promise((resolve, reject) => {
			commit('ADD_TAG', data);
			resolve(true);
		})
	},
	//新增子標籤actions //TODO: 完善標籤的全部字段 
	addSubTags({
		commit
	}, data) {
		// console.log('到main/addTags',data);
		return new Promise((resolve, reject) => {
			commit('ADD_SUB_TAG', data);
			resolve(true);
		})
	},
	//修改標籤
	editTags({
		commit
	}, [title, data]) { //key 為就的tagTitle，data為新的tagTitle
		return new Promise((resolve, reject) => {
			commit('EDIT_TAG', [title, data]);
			resolve(true);
		})
	},
	//刪除標籤
	delTags({
		commit
	}, [type, title]) {
		return new Promise((resolve, reject) => {
			if (type == 'sigle') {
				commit('DEL_TAG', title);
			} else {
				let titleArray = title.split(',');
				titleArray.forEach(item => {
					commit('DEL_TAG', item);
				})
			};
			resolve(true);
		})
	},
	getTagsData({
		commit
	}, params) { //取得標籤資料
		//console.log('params：', params);
		return new Promise((resolve, reject) => {
			Api.tags.queryListByBizTypeCode(params).then(res => {
				//console.log('getTagsData 请求回来的数据为：', res);
				if (res.success != true) {
					resolve(false);
					//this.$message.error('请求邮件列表失败');
				} else {
					//this.$message.success('请求成功');  
					//console.log('getTagsData', res.data);
					let tempList = res.data
					tempList.forEach(item => {
						item.key = item.id
						item.title = item.name
					})
					commit('GET_TAGS', tempList);
					resolve(true);
				};
			})
		});
	},
	getCustomerTags({
		commit
	}, params) { //取得標籤資料
		//console.log('params：', params);
		return new Promise((resolve, reject) => {
			Api.tags.queryListByBizTypeCode(params).then(res => {
				//console.log('getCustomerTags queryListByBizTypeCode请求回来的数据为：', res);
				if (res.success != true) {
					resolve(false);
					//this.$message.error('请求邮件列表失败');
				} else {
					//this.$message.success('请求成功');  
					//console.log('getCustomerTags', res.data);
					let tempList = res.data
					if (tempList.length > 0) {
						tempList.forEach(item => {
							item.key = item.id
							item.title = item.name
						})
					} else {
						let str = {
							bizTypeCode: 'customer'
						}
						tempList.push(str)
					}
					commit('GET_CUSTOMER_TAGS', tempList);
					resolve(true);
				};
			})
		});
	},
	getCompanyTags({
		commit
	}, params) { //取得標籤資料
		//console.log('params：', params);
		return new Promise((resolve, reject) => {
			Api.tags.queryListByBizTypeCode(params).then(res => {
				//console.log('getCompanyTags queryListByBizTypeCode请求回来的数据为：', res);
				if (res.success != true) {
					resolve(false);
					//this.$message.error('请求邮件列表失败');
				} else {
					//this.$message.success('请求成功');  
					//console.log('getCompanyTags', res.data);
					let tempList = res.data
					if (tempList.length > 0) {
						tempList.forEach(item => {
							item.key = item.id
							item.title = item.name
						})
					} else {
						let str = {
							bizTypeCode: 'company'
						}
						tempList.push(str)
					}
					commit('GET_COMPANY_TAGS', tempList);
					resolve(true);
				};
			})
		});
	},
	//新增行程 
	addCustomer({
		commit
	}, data) {
		// console.log('到main/addTags',data);
		return new Promise((resolve, reject) => {
			commit('ADD_CUSTOMER', data);
			resolve(true);
		})
	},
	//修改行程
	editCustomer({
		commit
	}, data) { //key 為就的tagTitle，data為新的tagTitle
		return new Promise((resolve, reject) => {
			commit('EDIT_CUSTOMER', data);
			resolve(true);
		})
	},
	//刪除客戶
	delCustomer({
		commit
	}, obj) {
		//console.log("obj--key--",obj.key)
		return new Promise((resolve, reject) => {
			commit('DEL_CUSTOMER', obj.key);
			resolve(true);
		})
	},
	//新增公司
	addCompany({
		commit
	}, data) {
		//console.log('到main/addTags',data);
		return new Promise((resolve, reject) => {
			commit('ADD_COMPANY', data);
			resolve(true);
		})
	},
	//修改公司
	editCompany({
		commit
	}, data) { //key 為就的tagTitle，data為新的tagTitle
		return new Promise((resolve, reject) => {
			commit('EDIT_COMPANY', data);
			resolve(true);
		})
	},
	//刪除公司
	delCompany({
		commit
	}, obj) {
		//console.log("obj--key--",obj.key)
		return new Promise((resolve, reject) => {
			commit('DEL_COMPANY', obj.key);
			resolve(true);
		})
	},
	//取得公司資料
	getCompanyList({
		commit
	}, data) {
		//console.log("getCompanyList data--",data)
		return new Promise((resolve, reject) => {
			commit('GET_COMPANY_LIST', data);
			resolve(true);
		})
		// return new Promise((resolve,reject) => { 
		//     Api.customer.queryComPageList(data).then(res => {
		//         console.log('queryComPageList请求回来的数据为：', res);
		//         if (res.success != true){ 
		//             resolve(false);
		//             //this.$message.error('请求邮件列表失败');
		//         } else {
		//             //this.$message.success('请求成功');  
		//             console.log('res.data', res.data);
		//             let tempList = res.data
		//             tempList.list.forEach(item=>{
		//               item.key = item.id
		//             })
		//             commit('GET_COMPANY_LIST', tempList);
		//             resolve(true);  
		//         };
		//     })
		// });
	},
	//取得公司資料
	getApiCompanyList({
		commit
	}, data) {
		//console.log("getCompanyList data--",data)
		// return new Promise((resolve, reject) => {
		//   commit('GET_COMPANY_LIST', data);
		//   resolve(true);
		// })
		return new Promise((resolve, reject) => {
			Api.customer.queryComPageList(data).then(res => {
				//console.log('queryComPageList请求回来的数据为：', res);
				if (res.success != true) {
					resolve(false);
					//this.$message.error('请求邮件列表失败');
				} else {
					//this.$message.success('请求成功');  
					//console.log('res.data', res.data); 
					res.data.currentPage = data.page.currentPage
					commit('GET_COMPANY_LIST', res.data);
					resolve(true);
				};
			})
		});
	},
	//取得目前客戶Row資料
	getCurrentCustomer({
		commit
	}, data) {
		return new Promise((resolve, reject) => {
			//查询客户详情页明细信息
			//console.log("getCurrentCustomer  data",data)
			commit('GET_CURRENT_CUSTOMER', data);
			resolve(true);
		})
	},
	//取得目前客戶分页查询客户时间线信息
	getCustomerTimeLineList({
		commit
	}, data) {
		return new Promise((resolve, reject) => {
			///cus/queryCustomerTimelinePageList  分页查询客户时间线信息
			commit('GET_CUSTOMER_TIME_LINE_LIST', data);
			resolve(true);
		})
	},
	//取得分页查询客户计划中的活动信息
	getCustomerPlanActivityPageList({
		commit
	}, data) {
		return new Promise((resolve, reject) => {
			///cus/queryCustomerPlanActivityPageList  分页查询客户时间线信息
			commit('GET_CUSTOMER_PLAN_ACTIVITY_PAGE_LIST', data);
			resolve(true);
		})
	},
	//取得目前客戶Row資料
	async setCompany({
		commit
	}, data) {
		//console.log("data---",data)
		return new Promise((resolve, reject) => {
			commit('SET_COMPANY', data);
			resolve(true);
		})
	},
	//取得客戶聯絡人資料
	getCustomerList({
		commit
	}, params) {
		//console.log('params：----------------------------------------------------', params);
		return new Promise((resolve, reject) => {
			Api.customer.getCustomerList(params).then(res => {
				//console.log('getCustomerList请求回来的数据为：', res);
				if (res.code != 0) {
					resolve(false);
					//this.$message.error('请求邮件列表失败');
				} else {
					//this.$message.success('请求成功');  
					//console.log('res.data.list', res.data.list);
					let tempList = res.data
					tempList.list.forEach(item => {
						item.key = item.id
					})
					res.data.currentPage = params.page.currentPage
					commit('GET_CUSTOMER_DATA', tempList);
					commit('GET_TOTAL_PAGE_DATA', res.data);
					resolve(true);
				};
			})
		});
	},
};


export default {
	namespaced: true,
	state,
	getters,
	actions,
	mutations,
}
