/*
 * @Descripttion: 联络人table、columns配置数据
 * @version: 
 * @Author: Lone
 * @Date: 2021-12-28 20:35:53
 * @LastEditors: Lone
 * @LastEditTime: 2021-12-28 23:10:39
 */
const columns = [
	{
		title: '姓名',
		dataIndex: 'name',
		key: 'name',
		width: 120,
		scopedSlots: { customRender: 'name' }
	},
    {
		title: '標籤',
		dataIndex: 'tags',
		key: 'tags',
        align: 'center',
		scopedSlots: { customRender: 'tags' },
	},
	{
		title: '組織',
		dataIndex: 'companyId',
		width: 200,
		key: 'companyId',
        align: 'center',
		scopedSlots: { customRender: 'companyId' }
	},
    {
		title: '郵箱',
		dataIndex: 'email',
		width: 200,
		key: 'email',
        align: 'center',
		scopedSlots: { customRender: 'email' }
	},
	{
		title: '電話',
		dataIndex: 'phone',
		width: 200,
		key: 'phone',
        align: 'center',
		scopedSlots: { customRender: 'phone' }
	},	
	// {
	// 	title: '取消活動',
	// 	dataIndex: 'activity_cancel',
	// 	width: '6%',
	// 	key: 'activity_cancel'
	// },
	// {
	// 	title: '開始活動',
	// 	dataIndex: 'activity_start',
	// 	width: '6%',
	// 	key: 'activity_start'
	// },
	// {
	// 	title: '下一個活動',
	// 	dataIndex: 'activity_next',
	// 	width: '10%',
	// 	key: 'activity_next'
	// },
    // {
	// 	title: '發起人',
	// 	dataIndex: 'ownerUser',
	// 	width: '7%',
	// 	key: 'ownerUser'
	// },
	// {
	// 	title: '事件',
	// 	dataIndex: 'activity_event',
	// 	width: '7%',
	// 	key: 'activity_event'
	// },
	{
		title: '操作',
		dataIndex: 'action',
        width: 100,
        align: 'center',
		//使用插槽
		scopedSlots: { customRender: 'action' }
	}
];

export default columns